Core Audio Utility Classes

Last Revision:
Version 1.0.4, 2013-09-17
Fixes a build error caused by including LockFreeFIFO.h Fixes several issues with the CARingBuffer class
(Full Revision History)
Build Requirements:
Xcode 4.3 or later, OS X 10.7/iOS 5.0 or later.
Runtime Requirements:
Xcode 4.3 or later, OS X v10.7/iOS 5.0 or later.

The "CoreAudio" folder contains the Public Utility sources (PublicUtility folder) as well as base classes required for codec and audio unit development. These utility classes are used by various Apple Core Audio sample project and extend or wrap Core Audio API's.

Recommended for anyone working with Core Audio on iOS and OS X.

The "CoreAudio" utility classes require OS X 10.7+, iOS 5.0+ and Xcode 4.3+.